$(function() {
    // 产品左侧菜单
    var suckertree = $('#suckertree');
    if (suckertree.length > 0) {
        $('#suckertree li').hover(function() {
            $(this).find('ul').css('display', 'block');
        },
        function() {
            $(this).find('ul').css('display', 'none');
        });
        $('#suckertree li').each(function(i) {
            if ($(this).find('ul').length > 0) {
                $(this).find('a').eq(0).addClass('subfolderstyle');
            }
        });
    }
    // 网站导航菜单
    $('#sddm li').hover(function() {
        $(this).find('div').css('visibility', 'visible');
    },
    function() {
        $(this).find('div').css('visibility', 'hidden');
    });
});

function ChkBook() {
    if ($('#ClassId').val() == 0) {
        alert('留言类型必须选择');
        $('#ClassId').focus();
        return false;
    }
    if ($('#xm').val() == '') {
        alert('姓名必须填写!');
        $('#xm').focus();
        return false;
    }
    if ($('#tel').val() == '') {
        alert('联系电话必须填写!');
        $('#tel').focus();
        return false;
    }
    if ($('#info').val() == '') {
        alert('留言内容必须填写!');
        $('#info').focus();
        return false;
    }
    if ($('#code').val() == '') {
        alert('验证码必须填写!');
        $('#code').focus();
        return false;
    }
}

function GetCheckCode(action, imgId) {
    var CodeUrl = '/Inc/GetCode.Asp?action=' + action + '&n=' + Math.random();
    $('#' + imgId).attr('src', CodeUrl);
}

function GetCommentPage(Page, ChannelId, DataId, ShowId) {
    $.ajax({
        type: 'get',
        url: '/Plug/comment/',
        data: {
            action: 'getcomment',
            p: Page,
            ChannelId: ChannelId,
            Id: DataId,
            ShowId: ShowId,
            n: Math.random()
        },
        dataType: 'html',
        error: function(XMLHttpRequest, textStatus, errorThrown) {
            alert(XMLHttpRequest + '|' + textStatus + '|' + errorThrown);
        },
        success: function(data) {
            $('#' + ShowId).html(data);
        }
    });
}